settingsLogin | Registersettings

[Openstack-operators] pip problems with openstack-ansible deployment

0 votes

Hello everyone,

Context:
openstact-ansible: stable/newton
OS: ubuntu 16.04 LTS

I am having trouble completing my deployment due to pip errors.

I have a 2 node setup and one separate deployment node. One of the nodes I am using to host all controller, network and storage functions and another as a compute. Repo container with the server is also hosted on the controller node. I already ran into similar problems as Achi Hamza who already reported pip issue on the Thu Nov 17 08:34:14 UTC 2016 in this mailing list.

This is how my openstackuserconfig.yml file looks like (as in Hamza's case internal and external addresses are the same):

globaloverrides:
internal
lbvipaddress: 172.21.51.152
externallbvip_address: 172.21.51.152 <...>

The recommendation that he got from another users were to set:

openstackservicepublicuriproto: http
openstack
externalssl: false
haproxy
ssl: false

in /etc/openstackdeploy/uservriables.yml

These recommendations helped in my case as well and I was able to advance further until I faced another pip issues in the same playbook.

My current problem is that neither of containers can install pip packages from the repository.

TASK [galeraclient : Install pip packages] ************************************
FAILED - RETRYING: TASK: galera
client : Install pip packages (5 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (4 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (3 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (2 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (1 retries left).
fatal: [control1galeracontainer-434df170]: FAILED! => {"changed": false, "cmd": "/usr/local/bin/pip install -U --constraint http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt MySQL-python", "failed": true, "msg": "stdout: Collecting mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n\n:stderr: Could not find a version that satisfies the requirement mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81)) (from versions: )\nNo matching distribution found for mysql_python==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n"}

I already checked everything related to the HAproxy and tcpdumped on the repo side to see what requests are coming when pip install is called.

I found that there was a HTTP GET to the URL http://172.21.51.152:8181/os-releases/14.0.7/

I saw that it was forwarded by the proxy to the repo server and that repo server returned index.html from /var/www/repo/os-releases/14.0.7/

ls /var/www/repo/os-releases/14.0.7/ | grep index index.html
index.html.1
index.html.2

I also checked that MySQL-python is in the repo:

root@control1-repo-container-dad60ff0:~# ls /var/www/repo/os-releases/14.0.7/ | grep mysqlpython mysqlpython-1.2.5-cp27-cp27mu-linuxx8664.whl

But for some reason pip can't figure out it is there.

I very much appreciate your help in solving this issue.

Best regards,
Danil

Danil Zhigalin
Technical Consultant
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
danil.zhigalin@dimensiondata.com

Derendorfer Allee 26, Düsseldorf, North Rhine-Westphalia, 40476, Germany.

For more information, please go to www.dimensiondata.com

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen.

This email and all contents are subject to the following disclaimer:

"http://www.dimensiondata.com/emaildisclaimer"


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators
asked Jul 4, 2017 in openstack-operators by Danil_Zhigalin_(Euro (340 points)   1 1

4 Responses

0 votes

I noticed one error in my previous explanation. I am running Ubuntu 14.04 LTS, not 16.04.

Danil Zhigalin
Technical Consultant
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
danil.zhigalin@dimensiondata.com

Derendorfer Allee 26, Düsseldorf, North Rhine-Westphalia, 40476, Germany.

For more information, please go to www.dimensiondata.com

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen.

-----Original Message-----
From: Danil Zhigalin (Europe)
Sent: 17 February 2017 09:15
To: 'openstack-operators@lists.openstack.org' openstack-operators@lists.openstack.org
Subject: pip problems with openstack-ansible deployment

Hello everyone,

Context:
openstact-ansible: stable/newton
OS: ubuntu 16.04 LTS

I am having trouble completing my deployment due to pip errors.

I have a 2 node setup and one separate deployment node. One of the nodes I am using to host all controller, network and storage functions and another as a compute. Repo container with the server is also hosted on the controller node. I already ran into similar problems as Achi Hamza who already reported pip issue on the Thu Nov 17 08:34:14 UTC 2016 in this mailing list.

This is how my openstackuserconfig.yml file looks like (as in Hamza's case internal and external addresses are the same):

globaloverrides:
internal
lbvipaddress: 172.21.51.152
externallbvip_address: 172.21.51.152 <...>

The recommendation that he got from another users were to set:

openstackservicepublicuriproto: http
openstack
externalssl: false
haproxy
ssl: false

in /etc/openstackdeploy/uservriables.yml

These recommendations helped in my case as well and I was able to advance further until I faced another pip issues in the same playbook.

My current problem is that neither of containers can install pip packages from the repository.

TASK [galeraclient : Install pip packages] ************************************
FAILED - RETRYING: TASK: galera
client : Install pip packages (5 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (4 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (3 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (2 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (1 retries left).
fatal: [control1galeracontainer-434df170]: FAILED! => {"changed": false, "cmd": "/usr/local/bin/pip install -U --constraint http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt MySQL-python", "failed": true, "msg": "stdout: Collecting mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n\n:stderr: Could not find a version that satisfies the requirement mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81)) (from versions: )\nNo matching distribution found for mysql_python==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n"}

I already checked everything related to the HAproxy and tcpdumped on the repo side to see what requests are coming when pip install is called.

I found that there was a HTTP GET to the URL http://172.21.51.152:8181/os-releases/14.0.7/

I saw that it was forwarded by the proxy to the repo server and that repo server returned index.html from /var/www/repo/os-releases/14.0.7/

ls /var/www/repo/os-releases/14.0.7/ | grep index index.html
index.html.1
index.html.2

I also checked that MySQL-python is in the repo:

root@control1-repo-container-dad60ff0:~# ls /var/www/repo/os-releases/14.0.7/ | grep mysqlpython mysqlpython-1.2.5-cp27-cp27mu-linuxx8664.whl

But for some reason pip can't figure out it is there.

I very much appreciate your help in solving this issue.

Best regards,
Danil

This email and all contents are subject to the following disclaimer:

"http://www.dimensiondata.com/emaildisclaimer"


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators
responded Feb 17, 2017 by Danil_Zhigalin_(Euro (340 points)   1 1
0 votes

I don't run OSAD, however did you confirm that on your repo server that you can actually download the files via a curl/wget call, locally and remotely? I see you show the files exist, but don't see anything confirming that the web server is actually serving them. I have seen things under apache, at least, that prevent the web server from sending the correct info. Default config files forcing a specific index page, selinux permissions preventing directories from being shown.

On Feb 17, 2017, at 1:34 AM, Danil Zhigalin (Europe) Danil.Zhigalin@dimensiondata.com wrote:

I noticed one error in my previous explanation. I am running Ubuntu 14.04 LTS, not 16.04.

Danil Zhigalin
Technical Consultant
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
danil.zhigalin@dimensiondata.com

Derendorfer Allee 26, Düsseldorf, North Rhine-Westphalia, 40476, Germany.

For more information, please go to www.dimensiondata.com

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen.

-----Original Message-----
From: Danil Zhigalin (Europe)
Sent: 17 February 2017 09:15
To: 'openstack-operators@lists.openstack.org' openstack-operators@lists.openstack.org
Subject: pip problems with openstack-ansible deployment

Hello everyone,

Context:
openstact-ansible: stable/newton
OS: ubuntu 16.04 LTS

I am having trouble completing my deployment due to pip errors.

I have a 2 node setup and one separate deployment node. One of the nodes I am using to host all controller, network and storage functions and another as a compute. Repo container with the server is also hosted on the controller node. I already ran into similar problems as Achi Hamza who already reported pip issue on the Thu Nov 17 08:34:14 UTC 2016 in this mailing list.

This is how my openstackuserconfig.yml file looks like (as in Hamza's case internal and external addresses are the same):

globaloverrides:
internal
lbvipaddress: 172.21.51.152
externallbvip_address: 172.21.51.152 <...>

The recommendation that he got from another users were to set:

openstackservicepublicuriproto: http
openstack
externalssl: false
haproxy
ssl: false

in /etc/openstackdeploy/uservriables.yml

These recommendations helped in my case as well and I was able to advance further until I faced another pip issues in the same playbook.

My current problem is that neither of containers can install pip packages from the repository.

TASK [galeraclient : Install pip packages] ************************************
FAILED - RETRYING: TASK: galera
client : Install pip packages (5 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (4 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (3 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (2 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (1 retries left).
fatal: [control1galeracontainer-434df170]: FAILED! => {"changed": false, "cmd": "/usr/local/bin/pip install -U --constraint http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt MySQL-python", "failed": true, "msg": "stdout: Collecting mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n\n:stderr: Could not find a version that satisfies the requirement mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81)) (from versions: )\nNo matching distribution found for mysql_python==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n"}

I already checked everything related to the HAproxy and tcpdumped on the repo side to see what requests are coming when pip install is called.

I found that there was a HTTP GET to the URL http://172.21.51.152:8181/os-releases/14.0.7/

I saw that it was forwarded by the proxy to the repo server and that repo server returned index.html from /var/www/repo/os-releases/14.0.7/

ls /var/www/repo/os-releases/14.0.7/ | grep index index.html
index.html.1
index.html.2

I also checked that MySQL-python is in the repo:

root@control1-repo-container-dad60ff0:~# ls /var/www/repo/os-releases/14.0.7/ | grep mysqlpython mysqlpython-1.2.5-cp27-cp27mu-linuxx8664.whl

But for some reason pip can't figure out it is there.

I very much appreciate your help in solving this issue.

Best regards,
Danil

This email and all contents are subject to the following disclaimer:
"http://www.dimensiondata.com/emaildisclaimer"


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators

OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators
responded Feb 17, 2017 by Kris_G._Lindgren (7,740 points)   1 5 10
0 votes

Hi Kris,

In fact the question has been resolved already. I added tag [ansible-opensta] to the original subject probably that’s why you didn’t notice that discussion went into another branch. The problem was caused by not working autoindex in repo directory exposed by nginx server.

Best regards,

Danil

Danil Zhigalin
Technical Consultant
Dimension Data Germany
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
Danil.Zhigalin@dimensiondata.com

Dimension Data Germany AG & Co. KG, Derendorfer Allee 26, 40476, Düsseldorf, North Rhine-Westphalia, Germany.
For more information, please go to www.dimensiondata.com
     

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg

Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207

Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.

Amtsgericht Bad Homburg, HRB 6172

Vorstand: Roberto Del Corno

Vors. des Aufsichtsrats: Andrew Coulsen

From: Kris G. Lindgren [mailto:klindgren@godaddy.com]
Sent: 17 February 2017 15:37
To: Danil Zhigalin (Europe) Danil.Zhigalin@dimensiondata.com
Cc: openstack-operators@lists.openstack.org
Subject: Re: [Openstack-operators] pip problems with openstack-ansible deployment

I don't run OSAD, however did you confirm that on your repo server that you can actually download the files via a curl/wget call, locally and remotely?  I see you show the files exist, but don't see anything confirming that the web server is actually serving them.  I have seen things under apache, at least, that prevent the web server from sending the correct info.  Default config files forcing a specific index page, selinux permissions preventing directories from being shown.

On Feb 17, 2017, at 1:34 AM, Danil Zhigalin (Europe) Danil.Zhigalin@dimensiondata.com wrote:

I noticed one error in my previous explanation. I am running Ubuntu 14.04 LTS, not 16.04.

Danil Zhigalin
Technical Consultant
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
danil.zhigalin@dimensiondata.com

Derendorfer Allee 26, Düsseldorf, North Rhine-Westphalia, 40476, Germany.

For more information, please go to www.dimensiondata.com

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen.

-----Original Message-----
From: Danil Zhigalin (Europe)
Sent: 17 February 2017 09:15
To: 'openstack-operators@lists.openstack.org' openstack-operators@lists.openstack.org
Subject: pip problems with openstack-ansible deployment

Hello everyone,

Context:
openstact-ansible: stable/newton
OS: ubuntu 16.04 LTS

I am having trouble completing my deployment due to pip errors.

I have a 2 node setup and one separate deployment node. One of the nodes I am using to host all controller, network and storage functions and another as a compute. Repo container with the server is also hosted on the controller node. I already ran into similar problems as Achi Hamza who already reported pip issue on the Thu Nov 17 08:34:14 UTC 2016 in this mailing list.

This is how my openstackuserconfig.yml file looks like (as in Hamza's case internal and external addresses are the same):

globaloverrides:
internal
lbvipaddress: 172.21.51.152
externallbvip_address: 172.21.51.152 <...>

The recommendation that he got from another users were to set:

openstackservicepublicuriproto: http
openstack
externalssl: false
haproxy
ssl: false

in /etc/openstackdeploy/uservriables.yml

These recommendations helped in my case as well and I was able to advance further until I faced another pip issues in the same playbook.

My current problem is that neither of containers can install pip packages from the repository.

TASK [galeraclient : Install pip packages] ************************************
FAILED - RETRYING: TASK: galera
client : Install pip packages (5 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (4 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (3 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (2 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (1 retries left).
fatal: [control1galeracontainer-434df170]: FAILED! => {"changed": false, "cmd": "/usr/local/bin/pip install -U --constraint http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt MySQL-python", "failed": true, "msg": "stdout: Collecting mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n\n:stderr: Could not find a version that satisfies the requirement mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81)) (from versions: )\nNo matching distribution found for mysql_python==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n"}

I already checked everything related to the HAproxy and tcpdumped on the repo side to see what requests are coming when pip install is called.

I found that there was a HTTP GET to the URL http://172.21.51.152:8181/os-releases/14.0.7/

I saw that it was forwarded by the proxy to the repo server and that repo server returned index.html from /var/www/repo/os-releases/14.0.7/

ls /var/www/repo/os-releases/14.0.7/ | grep index index.html
index.html.1
index.html.2

I also checked that MySQL-python is in the repo:

root@control1-repo-container-dad60ff0:~# ls /var/www/repo/os-releases/14.0.7/ | grep mysqlpython mysqlpython-1.2.5-cp27-cp27mu-linuxx8664.whl

But for some reason pip can't figure out it is there.

I very much appreciate your help in solving this issue.

Best regards,
Danil

This email and all contents are subject to the following disclaimer:
"http://www.dimensiondata.com/emaildisclaimer"


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators

itevomcid


responded Feb 17, 2017 by Danil_Zhigalin_(Euro (340 points)   1 1
0 votes

On 17.02.2017 16:13, Danil Zhigalin (Europe) wrote:
Hi Kris,

In fact the question has been resolved already.

FWIW, here's the question Danil posted at stackoverflow:
https://stackoverflow.com/questions/42286765/using-repo-other-then-pypi-with-pip
I added my 2cents because my symptoms are the very same.

--
Regards, Markus Zoeller (markus_z)

I added tag [ansible-opensta] to the original subject probably that’s
why you didn’t notice that discussion went into another branch. The
problem was caused by not working autoindex in repo directory exposed by
nginx server.

Best regards,
Danil

Danil Zhigalin
Technical Consultant
Dimension Data Germany
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
Danil.Zhigalin@dimensiondata.com
Dimension Data Germany AG & Co. KG, Derendorfer Allee 26, 40476, Düsseldorf, North Rhine-Westphalia, Germany.
For more information, please go to www.dimensiondata.com
[http://de.blog.dimensiondata.com/] [https://www.facebook.com/Dimension-Data-Germany-921346461234757/] https://www.facebook.com/Dimension-Data-Germany-921346461234757/ [https://www.linkedin.com/company/dimension-data] https://www.linkedin.com/company/dimension-data [https://twitter.com/DimensionDataDe] https://twitter.com/DimensionDataDe [cid:image0c58df.PNG@f567f430.4aa02643] https://www.xing.com/companies/dimensiondata
[cid:image395d21.JPG@5de7cc63.488860aa]http://

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen

From: Kris G. Lindgren [mailto:klindgren@godaddy.com]
Sent: 17 February 2017 15:37
To: Danil Zhigalin (Europe) Danil.Zhigalin@dimensiondata.com
Cc: openstack-operators@lists.openstack.org
Subject: Re: [Openstack-operators] pip problems with openstack-ansible deployment

I don't run OSAD, however did you confirm that on your repo server that you can actually download the files via a curl/wget call, locally and remotely? I see you show the files exist, but don't see anything confirming that the web server is actually serving them. I have seen things under apache, at least, that prevent the web server from sending the correct info. Default config files forcing a specific index page, selinux permissions preventing directories from being shown.

On Feb 17, 2017, at 1:34 AM, Danil Zhigalin (Europe) Danil.Zhigalin@dimensiondata.com wrote:

I noticed one error in my previous explanation. I am running Ubuntu 14.04 LTS, not 16.04.

Danil Zhigalin
Technical Consultant
Tel: +49 211 1717 1260
Mob: +49 174 151 8457
danil.zhigalin@dimensiondata.com

Derendorfer Allee 26, Düsseldorf, North Rhine-Westphalia, 40476, Germany.

For more information, please go to www.dimensiondata.com

Dimension Data Germany AG & Co.KG, Horexstraße 7, 61352 Bad Homburg
Sitz: Bad Homburg, Amtsgericht Bad Homburg, HRA 3207
Pers. Haftende Ges : Dimension Data Verwaltungs AG, Sitz Bad Homburg.
Amtsgericht Bad Homburg, HRB 6172
Vorstand: Roberto Del Corno
Vors. des Aufsichtsrats: Andrew Coulsen.

-----Original Message-----
From: Danil Zhigalin (Europe)
Sent: 17 February 2017 09:15
To: 'openstack-operators@lists.openstack.org' openstack-operators@lists.openstack.org
Subject: pip problems with openstack-ansible deployment

Hello everyone,

Context:
openstact-ansible: stable/newton
OS: ubuntu 16.04 LTS

I am having trouble completing my deployment due to pip errors.

I have a 2 node setup and one separate deployment node. One of the nodes I am using to host all controller, network and storage functions and another as a compute. Repo container with the server is also hosted on the controller node. I already ran into similar problems as Achi Hamza who already reported pip issue on the Thu Nov 17 08:34:14 UTC 2016 in this mailing list.

This is how my openstackuserconfig.yml file looks like (as in Hamza's case internal and external addresses are the same):

globaloverrides:
internal
lbvipaddress: 172.21.51.152
externallbvip_address: 172.21.51.152 <...>

The recommendation that he got from another users were to set:

openstackservicepublicuriproto: http
openstack
externalssl: false
haproxy
ssl: false

in /etc/openstackdeploy/uservriables.yml

These recommendations helped in my case as well and I was able to advance further until I faced another pip issues in the same playbook.

My current problem is that neither of containers can install pip packages from the repository.

TASK [galeraclient : Install pip packages] ************************************
FAILED - RETRYING: TASK: galera
client : Install pip packages (5 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (4 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (3 retries left).
FAILED - RETRYING: TASK: galeraclient : Install pip packages (2 retries left).
FAILED - RETRYING: TASK: galera
client : Install pip packages (1 retries left).
fatal: [control1galeracontainer-434df170]: FAILED! => {"changed": false, "cmd": "/usr/local/bin/pip install -U --constraint http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt MySQL-python", "failed": true, "msg": "stdout: Collecting mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n\n:stderr: Could not find a version that satisfies the requirement mysqlpython==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81)) (from versions: )\nNo matching distribution found for mysql_python==1.2.5 (from -c http://172.21.51.152:8181/os-releases/14.0.7/requirements_absolute_requirements.txt (line 81))\n"}

I already checked everything related to the HAproxy and tcpdumped on the repo side to see what requests are coming when pip install is called.

I found that there was a HTTP GET to the URL http://172.21.51.152:8181/os-releases/14.0.7/

I saw that it was forwarded by the proxy to the repo server and that repo server returned index.html from /var/www/repo/os-releases/14.0.7/

ls /var/www/repo/os-releases/14.0.7/ | grep index index.html
index.html.1
index.html.2

I also checked that MySQL-python is in the repo:

root@control1-repo-container-dad60ff0:~# ls /var/www/repo/os-releases/14.0.7/ | grep mysqlpython mysqlpython-1.2.5-cp27-cp27mu-linuxx8664.whl

But for some reason pip can't figure out it is there.

I very much appreciate your help in solving this issue.

Best regards,
Danil

This email and all contents are subject to the following disclaimer:
"http://www.dimensiondata.com/emaildisclaimer"


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators

itevomcid


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators


OpenStack-operators mailing list
OpenStack-operators@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators
responded Jul 4, 2017 by mzoeller_at_linux.vn (3,220 points)   3 5
...